package sun.security.util;

import java.security.AccessController;
import java.security.PrivilegedAction;
import java.util.ResourceBundle;

public class ResourcesMgr
{
    private static ResourceBundle bundle;
    private static ResourceBundle altBundle;
    
    public ResourcesMgr() {
    }
    
    public static String getString(String key) {
        if (ResourcesMgr.bundle == null) {
            ResourcesMgr.bundle = (ResourceBundle)AccessController.doPrivileged(new PrivilegedAction<ResourceBundle>() {
                @Override
                public ResourceBundle run() {
                    return ResourceBundle.getBundle("sun.security.util.Resources");
                }
            });
        }
        return ResourcesMgr.bundle.getString(key);
    }
    
    public static String getString(String key, final String s) {
        if (ResourcesMgr.altBundle == null) {
            ResourcesMgr.altBundle = (ResourceBundle)AccessController.doPrivileged(new PrivilegedAction<ResourceBundle>() {
                @Override
                public ResourceBundle run() {
                    return ResourceBundle.getBundle(s);
                }
            });
        }
        return ResourcesMgr.altBundle.getString(key);
    }
}
